#ifndef View_H
#define View_H

#include <iostream>

#include <QtGui>
//TODO Keep only the usefull includes

#include <Controller.hpp>
#include <ParameterDelegate.hpp>

namespace hatptester{

class MainWindow : public QMainWindow{
	Q_OBJECT

private :
	MainWindow(const MainWindow&);
	MainWindow& operator=(const MainWindow&);

	HATPController& controller;

	QWidget centralPart;
	
	QGroupBox taskBox;
	QListView taskView;
	
	QGroupBox parameterBox;
	const std::string defaultText;
	QTableView parametersView;
	
	QLabel informationsText;

	QAction quitAction;
	QAction sendAction;
	
	QAction aboutAction;
	
	QPushButton sendButton;
		
public :
	MainWindow();
	
	void resizeEvent(QResizeEvent* event);
		
public slots:
	void about();
	
	void sendRequest();
	
	void activateSend();
	
	void updateInformations();
	
	void clicTask(const QModelIndex& index);
};

}; //namespace

#endif //View_H
